[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# SetFAttr

Set file attributes

## Declaration

Source position: dosh.inc line 123

`procedure SetFAttr(`
`var f;`
`attr: Word`
`);`

## Description

SetFAttr sets the file attributes of the file-variable F. F can be a untyped or typed file, or of type Text. F must have been assigned, but not opened. The attributes can be a sum of the following constants:

- ReadOnly
- Hidden
- SysFile
- VolumeId
- Directory
- Archive

Remark: | Under Unix like systems (such as Linux and BeOS) the call exists, but is not implemented, i.e. it does nothing.

## Errors

Errors are reported in DosError.

## See also

GetFAttr |  | Get file attributes